<?php
/**
 * BIG FISH Payment Gateway payment method class
 *
 * @package paymentMethod
 * @copyright (c) 2015, BIG FISH Internet-technology Ltd. (http://bigfish.hu)
 */

define('MODULE_PAYMENT_BFPG_TEXT_TITLE', 'BIG FISH Payment Gateway');
define('MODULE_PAYMENT_BFPG_TEXT_DESCRIPTION', '<a target="_blank" href="https://www.paymentgateway.hu/">BIG FISH Payment Gateway Member Login</a>');
define('MODULE_PAYMENT_BFPG_TEXT_RECREATION', 'Recreation');
define('MODULE_PAYMENT_BFPG_TEXT_ACCOMODATION', 'Accommodation');
define('MODULE_PAYMENT_BFPG_TEXT_HOSPITALITY', 'Hospitality');
define('MODULE_PAYMENT_BFPG_TEXT_CREDITCARD', 'Credit Card');
define('MODULE_PAYMENT_BFPG_TEXT_PROVIDER', 'Provider ');
define('MODULE_PAYMENT_BFPG_TEXT_PROVIDERS', 'Providers');
define('MODULE_PAYMENT_BFPG_TEXT_PLEASECHOOSE', 'Please choose');
define('MODULE_PAYMENT_BFPG_TEXT_PHONE_NUMBER', 'Phone number or Mobile Payment Identifier');
define('MODULE_PAYMENT_BFPG_TEXT_POCKET', 'Pocket Identifier ');
define('MODULE_PAYMENT_BFPG_TEXT_ANUM', 'Anum');
define('MODULE_PAYMENT_BFPG_TEXT_PTID', 'Provider transactionId');
define('MODULE_PAYMENT_BFPG_TEXT_CARDNUMBER', 'Card number ');
define('MODULE_PAYMENT_BFPG_TEXT_CVV', 'CVC/CVV verification code ');
define('MODULE_PAYMENT_BFPG_TEXT_EXPIRATION', 'Expiration date (mmyy)');
define('MODULE_PAYMENT_BFPG_CHECKOUT_SUCCESS_ANUM', '<p>Anum: %s</p>');
define('MODULE_PAYMENT_BFPG_CHECKOUT_SUCCESS_PTID', '<p>Provider transactionId: %s</p>');

define('MODULE_PAYMENT_BFPG_TEXT_ENABLE_MODUL', 'Enable Big Fish PaymentGateway Module');
define('MODULE_PAYMENT_BFPG_TEXT_STORENAME', 'Store name');
define('MODULE_PAYMENT_BFPG_TEXT_APIKEY', 'API Key');
define('MODULE_PAYMENT_BFPG_TEXT_TRANSACTION_MODE', 'Transaction Mode');
define('MODULE_PAYMENT_BFPG_TEXT_UNPAID_STATUS', 'Unpaid order status');
define('MODULE_PAYMENT_BFPG_TEXT_WAITING_STATUS', 'Order status waiting for approval');
define('MODULE_PAYMENT_BFPG_TEXT_PAID_STATUS', 'Order status successful transactions');
define('MODULE_PAYMENT_BFPG_TEXT_CANCELLED_STATUS', 'Order status for canceled or failed transactions');
define('MODULE_PAYMENT_BFPG_TEXT_CURRENCIES', 'Currencies');
define('MODULE_PAYMENT_BFPG_TEXT_PAYMENT_ZONE', 'Payment Zone');
define('MODULE_PAYMENT_BFPG_TEXT_SETORDER', 'Sort order of display');
define('MODULE_PAYMENT_BFPG_TEXT_ENABLE_PROVIDERS', 'Enable Big Fish PaymentGateway Providers');

define('MODULE_PAYMENT_BFPG_TEXT_OTP_SZEP_STORENAME', 'OTP SZÉP Card store name');
define('MODULE_PAYMENT_BFPG_TEXT_OTP_SZEP_APIKEY', 'OTP SZÉP Card API Key');

define('MODULE_PAYMENT_BFPG_TEXT_TRUE', 'True');
define('MODULE_PAYMENT_BFPG_TEXT_FALSE', 'False');
define('MODULE_PAYMENT_BFPG_TEXT_TEST', 'Test');
define('MODULE_PAYMENT_BFPG_TEXT_PRODUCTION', 'Production');
define('MODULE_PAYMENT_BFPG_TEXT_ENABLE', 'Enable');
define('MODULE_PAYMENT_BFPG_TEXT_DISABLE', 'Disable');

define('MODULE_PAYMENT_BFPG_CC_CVV_MIN_LENGTH', 3);
define('MODULE_PAYMENT_BFPG_CC_CVV_MAX_LENGTH', 4);
define('MODULE_PAYMENT_BFPG_SZEP_NUMBER_LENGTH', 16);
define('MODULE_PAYMENT_BFPG_SZEP_CVV_LENGTH', 3);
define('MODULE_PAYMENT_BFPG_SZEP_MOBIL_NUMBER_LENGTH', 11);

// Error messages:
define('MODULE_PAYMENT_BFPG_TEXT_NOTCONFIGURED', '<span class="alert"> (Not Configured)</span>');
define('MODULE_PAYMENT_BFPG_TEXT_APIKEY_WARNING', '<span class="alert"> (API key is required)</span>');
define('MODULE_PAYMENT_BFPG_TEXT_TESTMODE', '<span class="alert"> (in Testing mode)</span>');
define('MODULE_PAYMENT_BFPG_TEXT_UNAUTHORIZED_PAYMENT', 'unauthorized payment methods');
define('MODULE_PAYMENT_BFPG_TEXT_ALREADY_INSTALLED', 'Big Fish PaymentGateway module already installed');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_NO_DATA', 'No Payment Gateway data found for this order id: %d');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_APPROVED', 'This is already approved. Order id: %d');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_OCCURED', 'An error occurred with the payment. Please choose another payment method. Order id: %d, error message: %s');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_CC_NUMBER', 'The credit card number must be at least ' . CC_NUMBER_MIN_LENGTH . ' characters.');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_CC_EXP', 'Expiration date is required in the following format: mmyy');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_CC_CVV', 'The ' . MODULE_PAYMENT_BFPG_CC_CVV_MIN_LENGTH . ' or '. MODULE_PAYMENT_BFPG_CC_CVV_MAX_LENGTH .' digit CVV number must be entered from the back of the credit card.');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_SZEP_NUMBER', 'The credit card number must be at least ' . MODULE_PAYMENT_BFPG_SZEP_NUMBER_LENGTH . ' characters.');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_SZEP_CVV', 'The ' . MODULE_PAYMENT_BFPG_SZEP_CVV_LENGTH . ' CVV number must be entered from the back of the credit card.');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_MOBIL_NUMBER', 'The Phone number or Mobile Payment Identifier must be at least ' . MODULE_PAYMENT_BFPG_SZEP_MOBIL_NUMBER_LENGTH . ' characters.');
define('MODULE_PAYMENT_BFPG_TEXT_ERROR_NO_TRID', 'No Payment Gateway data found for this transaction id: %d');

// Providers
define('MODULE_PAYMENT_BFPG_PROVIDER_CIB', 'CIB Bank');
// K&H Bank
define('MODULE_PAYMENT_BFPG_PROVIDER_KHB_CREDITCARD', 'K&H Bank (Credit Card)');
define('MODULE_PAYMENT_BFPG_PROVIDER_KHB_SZEP', 'K&H Bank SZÉP');
define('MODULE_PAYMENT_BFPG_PROVIDER_KHB_SZEP_SZALLAS', 'K&H Bank (SZÉP szállás)');
define('MODULE_PAYMENT_BFPG_PROVIDER_KHB_SZEP_VENDEGLATAS', 'K&H Bank (SZÉP vendéglátás)');
define('MODULE_PAYMENT_BFPG_PROVIDER_KHB_SZEP_REKREACIO', 'K&H Bank (SZÉP rekreáció)');
// OTP Bank
define('MODULE_PAYMENT_BFPG_PROVIDER_OTP', 'OTP Bank');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTP_CREDITCARD', 'OTP Bank (Credit Card)');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTP_SZEP_SZALLAS', 'OTP Bank (SZÉP szállás)');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTP_SZEP_VENDEGLATAS', 'OTP Bank (SZÉP vendéglátás)');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTP_SZEP_REKREACIO', 'OTP Bank (SZÉP rekreáció)');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTPAY', 'OTPay Mobile Payment');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTP2', 'OTP two party');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTPMASTERPASS', 'MasterPass');
// Escalion
define('MODULE_PAYMENT_BFPG_PROVIDER_ESCALION', 'Escalion');
// Wirecard QPAY
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY', 'Wirecard QPAY');
define('MODULE_PAYMENT_BFPG_TEXT_QPAY_PAYMENT_TYPES', 'Wirecard QPAY payment type');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_SETTING_BY_STORE', "\'Setting by store\'");
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_SELECT', 'Select');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_BANCONTACT_MISTERCASH', 'Bancontact/Mister Cash');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_CCARD', 'Credit Card, Maestro SecureCode');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_CCARD_MOTO', 'Credit Card - Mail Order and Telephone Order');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_EKONTO', 'eKonto');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_EPAY_BG', 'ePay.bg');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_EPS', 'eps Online-wire');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_GIROPAY', 'giropay');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_IDL', 'iDEAL');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_MONETA', 'moneta.ru');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_MPASS', 'mpass');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_PRZELEWY24', 'Przelewy24');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_PAYPAL', 'PayPal');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_PBX', 'paybox');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_POLI', 'POLi');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_PSC', 'paysafecard');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_QUICK', '@Quick');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_SEPADD', 'SEPA Direct Debit');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_SKRILLDIRECT', 'Skrill Direct');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_SKRILLWALLET', 'Skrill Digital Wallet');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_SOFORTUEBERWEISUNG', 'SOFORT Banking');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_TATRAPAY', 'TatraPay');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_TRUSTLY', 'Trustly');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_TRUSTPAY', 'TrustPay');
define('MODULE_PAYMENT_BFPG_PROVIDER_QPAY_VOUCHER', 'My Voucher');
// UniCredit Bank
define('MODULE_PAYMENT_BFPG_PROVIDER_UNICREDIT', 'UniCredit Bank');
// FHB Bank
define('MODULE_PAYMENT_BFPG_PROVIDER_FHB', 'FHB Bank');
// PayPal
define('MODULE_PAYMENT_BFPG_PROVIDER_PAYPAL', 'PayPal');
// PayU
define('MODULE_PAYMENT_BFPG_PROVIDER_PAYU2', 'PayU (Poland)');
// SMS
define('MODULE_PAYMENT_BFPG_PROVIDER_SMS', 'SMS');
// Sofort Banking
define('MODULE_PAYMENT_BFPG_PROVIDER_SOFORT', 'Sofort Banking');
// Borgun
define('MODULE_PAYMENT_BFPG_PROVIDER_BORGUN', 'Borgun');
// Multipont
define('MODULE_PAYMENT_BFPG_PROVIDER_OTPMULTIPONT', 'Multipont');
// MKB Bank
define('MODULE_PAYMENT_BFPG_PROVIDER_MKB_SZEP', 'MKB Bank SZÉP');
define('MODULE_PAYMENT_BFPG_PROVIDER_MKB_SZEP_SZALLAS', 'MKB Bank (SZÉP szállás)');
define('MODULE_PAYMENT_BFPG_PROVIDER_MKB_SZEP_VENDEGLATAS', 'MKB Bank (SZÉP vendéglátás)');
define('MODULE_PAYMENT_BFPG_PROVIDER_MKB_SZEP_REKREACIO', 'MKB Bank (SZÉP rekreáció)');
// Paysafecard
define('MODULE_PAYMENT_BFPG_PROVIDER_PAYSAFECARD', 'Paysafecard');
// OTP Simple
define('MODULE_PAYMENT_BFPG_PROVIDER_OTPSIMPLE', 'OTP Simple');
define('MODULE_PAYMENT_BFPG_PROVIDER_OTPSIMPLEWIRE', 'OTP Simple Wire');
// Saferpay
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY', 'Saferpay');
define('MODULE_PAYMENT_BFPG_TEXT_SAFERPAY_PAYMENT_METHODS', 'Saferpay payment methods');
define('MODULE_PAYMENT_BFPG_TEXT_SAFERPAY_WALLETS', 'Saferpay wallets');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_AMEX', 'American Express');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_DIRECTDEBIT', 'Direct Debit');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_INVOICE', 'Invoice');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_BONUS', 'Bonus');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_DINERS', 'Diners');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_EPRZELEWY', 'ePrzelewy');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_EPS', 'eps Online-wire');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_GIROPAY', 'giropay');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_IDEAL', 'iDEAL');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_JCB', 'JCB');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_MAESTRO', 'Maestro');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_MASTERCARD', 'MasterCard');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_MYONE', 'My One');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_PAYPAL', 'PayPal');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_POSTCARD', 'PostFinance Card');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_POSTFINANCE', 'PostFinance');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_SAFERPAYTEST', 'Saferpay test');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_SOFORT', 'SOFORT Banking');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_VISA', 'Visa');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_VPAY', 'V PAY');
define('MODULE_PAYMENT_BFPG_PROVIDER_SAFERPAY_WALLET_MASTERPASS', 'MASTERPASS');

// One Click Payment
define('MODULE_PAYMENT_BFPG_TEXT_ONECLICKPAYMENT_ESCALION', 'Escalion One Click Payment');
define('MODULE_PAYMENT_BFPG_TEXT_ONECLICKPAYMENT_OTPSIMPLE', 'OTP Simple One Click Payment');
define('MODULE_PAYMENT_BFPG_TEXT_ONECLICKPAYMENT_SAFERPAY', 'Saferpay One Click Payment');

// Autocommit
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_OTP', 'OTP Bank auto commit');
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_OTPAY', 'OTPay Mobile Payment auto commit');
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_OTP2', 'OTP two party auto commit');
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_QPAY', 'Wirecard QPAY auto commit');
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_UNICREDIT', 'UniCredit Bank auto commit');
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_FHB', 'FHB Bank auto commit');
define('MODULE_PAYMENT_BFPG_TEXT_AUTOCOMMIT_PAYU2', 'PayU (Poland) auto commit');

// Public key
define('MODULE_PAYMENT_BFPG_TEXT_PUBLICKEY_OTP2', 'OTP two party public key');

if(!defined('EMAIL_SEPARATOR')) {
	define('EMAIL_SEPARATOR', '------------------------------------------------------');
	define('EMAIL_TEXT_SUBJECT', 'Order Update');
	define('EMAIL_TEXT_ORDER_NUMBER', 'Order Number: ');
	define('EMAIL_TEXT_ANUM', 'Anum: ');
	define('EMAIL_TEXT_PTID', 'Provider transactionId: ');
	define('EMAIL_TEXT_INVOICE_URL', 'Detailed Invoice: ');
	define('EMAIL_TEXT_DATE_ORDERED', 'Date Ordered: ');
	define('EMAIL_TEXT_COMMENTS_UPDATE', '<em>The comments for your order are: </em>');
	define('EMAIL_TEXT_STATUS_UPDATED', 'Your order has been updated to the following status: ' . "\n");
	define('EMAIL_TEXT_STATUS_LABEL', '<strong>New status:</strong> %s' . "\n\n");
	define('EMAIL_TEXT_STATUS_PLEASE_REPLY', 'Please reply to this email if you have any questions.' . "\n");
}
